using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Vortex.Input {

	/// <summary>
	/// Action handler for key down/up events
	/// </summary>
	public delegate void KeyActionHandler(VirtualKey key);

	/// <summary>
	/// Action handler for char event
	/// </summary>
	public delegate void CharActionHandler(char charCode);


	/// <summary>
	/// Action handler for mouse button events: down, up, click, double click
	/// </summary>
	public delegate void MouseButtonActionHandler(MouseButtonActionInfo info);

	/// <summary>
	/// Action handler for mouse move event
	/// </summary>
	public delegate void MouseMoveActionHandler(MouseMoveActionInfo info);

	/// <summary>
	/// Action handler for mouse wheel scroll event
	/// </summary>
	public delegate void MouseWheelActionHandler(MouseWheelActionInfo info);

}
